%global srcname sqlalchemy-migrate

Summary: Schema migration tools for SQLAlchemy
Name:    python-migrate
Version: 0.13.0
Release: 5%{?dist}
License: MIT
URL:     https://github.com/openstack/%{srcname}
Source0: https://pypi.io/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

Patch3000: python-migrate-sqlalchemy-migrate.patch

BuildArch: noarch

%description
Schema migration tools for SQLAlchemy designed to support an agile approach to database design and
make it easier to keep development and production databases in sync as schema changes are required.
It allows you to manage database change sets and database repository versioning.

%package -n     python3-migrate
Summary: Schema migration tools for SQLAlchemy

BuildRequires: python3-devel python3-sqlalchemy python3-setuptools python3-nose
BuildRequires: python3-sphinx python3-decorator python3-tempita python3-pbr python3-six python3-sqlparse
Requires: python3-sqlalchemy python3-setuptools python3-decorator python3-tempita python3-pbr python3-six python3-sqlparse

%description -n python3-migrate
Schema migration tools for SQLAlchemy designed to support an agile approach to database design and
make it easier to keep development and production databases in sync as schema changes are required.
It allows you to manage database change sets and database repository versioning.

%prep
%autosetup -n %{srcname}-%{version} -p1
	
# Utilize a valid version for test-requirements.txt since setuptools 66+
sed -i 's/2010h/2010/' test-requirements.txt

%build
%py3_build

%install
%py3_install

%check
PATH=/bin:/usr/bin:%{buildroot}%{_bindir}
export PATH

PYTHONPATH=`pwd`
export PYTHONPATH
echo 'sqlite:///__tmp__' > test_db.cfg


%files -n python3-migrate
%doc README.rst doc/
%{_bindir}/sqlalchemy-migrate
%{_bindir}/sqlalchemy-migrate-repository
%{python3_sitelib}/*

%changelog
* Wed Jan 31 2024 Wang Guodong <gordonwwang@tencent.com> - 0.13.0-5
- Utilize a valid version scheme for test-requirements.txt since setuptools 66+

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 0.13.0-1
- initial build
